void move_tree_node (p_tree_node next_placement,
                     p_tree_node current_placement)
{
  with (current_placement)
  {
    if (->left) set_anchor (structure_header (->left), &next_placement->left);
    if (->right) set_anchor (structure_header (->right), &next_placement->right);
  }
}